浏览文档并开始使用 Skinify
This method is used to get information about created deposits.
GET https://skinify.io/api/get-deposits
| Parameter | Required | Description |
|---|---|---|
| starting | Starting time (unix time) | |
| ending | Ending time (unix time) | |
| start_from | start_from parameter from response for page navigation (results limited 1000) |
The response will contain a deposits array, which contains the following data:
| Parameter | Description |
|---|---|
| status | Status of deposit: success, pending, failed |
| transaction_id | Transaction ID in our system |
| deposit_id | Deposit ID in your system |
| steam_id | User Steam ID 64 |
| date | Deposit created time (unix timestamp) |
| amount | The amount that the user deposited. (only if status = success or status = pending и settlement is not null) |
| amount_currency | The currency that the user deposited in. (only if status = success or status = pending и settlement is not null) |
| amount_converted | Deposit amount in all available currencies. (only if status = success or status = pending и settlement is not null) |
| multiplied_amount | The amount that the user deposited multiplied by the value from the project settings (only if status = success or status = pending и settlement is not null) |
| multiplied_amount_converted | The amount that the user deposited multiplied by the value from the project settings in all available currencies. (only if status = success or status = pending и settlement is not null) |
| trade_offer_id | Steam Trade Offer ID (not null if only trade was created) |
| settlement | Unix timestamp indicating when the Steam trade protection period will end (not null only for Steam-Protected games after the trade has been accepted) |
| Error | Description |
|---|---|
| missing_starting_or_ending | Missing starting or ending parameters. |